Update catalog
POST
/merchants/{merchantCode}/catalogs/{catalogCode}
const url = 'https://catalog.shopgate.io/v1/merchants/example/catalogs/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"parentCatalogCode":"someCode","name":"Catalog 1","defaultLocaleCode":"en-us","defaultCurrencyCode":"USD","externalUpdateDate":"2018-12-15T00:00:23.114Z","isDefault":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/catalogs/example \ --header 'Content-Type: application/json' \ --data '{ "parentCatalogCode": "someCode", "name": "Catalog 1", "defaultLocaleCode": "en-us", "defaultCurrencyCode": "USD", "externalUpdateDate": "2018-12-15T00:00:23.114Z", "isDefault": false }'Update catalog
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
catalogCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
parentCatalogCode
Human readable code of the entity
string
Example
someCodename
string
Example
Catalog 1defaultLocaleCode
string
Example
en-usdefaultCurrencyCode
string
Example
USDexternalUpdateDate
null | string format: date-time
Example
2018-12-15T00:00:23.114ZisDefault
boolean
Responses
Section titled “Responses”Successfully updated catalog
Media typeapplication/json
Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}One or more properties of catalog cannot be updated
Media typeapplication/json
object
statusCode
number
code
Machine readable error code
string
message
required
Human readable error code
string
additionalInfo
Additional machine readable information about failing entities
object
Examplegenerated
{ "statusCode": 1, "code": "example", "message": "example", "additionalInfo": {}}
